import { useTheme } from "@material-ui/core";
import { Brightness1, RadioButtonUnchecked } from "@material-ui/icons";
import React from "react";

export function IOCStatusIcon({ ioc }) {

  const theme = useTheme();

  // const statusBulbColors = {
  //   "ok": theme.palette.success.light,
  //   "down": theme.palette.text.disabled,
  //   "unreachable": theme.palette.secondary.light,
  //   "undeployed": theme.palette.text.disabled,
  // };

  // const statusBulbIcons = {
  //   "ok": <Brightness1 />,
  //   "down": <Brightness1 />,
  //   "unreachable": <ErrorOutline />,
  //   "undeployed": <RadioButtonUnchecked />,
  // }

  const statusBulbColors = {
    true: theme.palette.success.light,
    false: theme.palette.text.disabled,
    null: theme.palette.text.disabled,
  };

  const statusBulbIcons = {
    true: <Brightness1 />,
    false: <Brightness1 />,
    null: <RadioButtonUnchecked />,
  }
  
  let state = ioc.active;
  if (!ioc.activeDeployment) state = null;
  console.log(state);
  console.log(ioc);

  const iconStyle = { fill: statusBulbColors[state] };
  const icon = React.cloneElement(statusBulbIcons[state], { style: iconStyle });

  return icon;
}
