import React, { useState, useEffect } from "react";
import { Container, List, ListItem, Paper, TextField } from "@material-ui/core";
import { useTypingTimer } from "./TypingTimer";

export function SearchBoxFilter({ items, filter, render }) {
  const [filteredItems, setFilteredItems] = useState(items);
  const [search, searchKeyPress] = useTypingTimer();
  // const [typingTimer, setTypingTimer] = useState();
  // const [search, setSearch] = useState("");
  // const doneTypingInterval = 250; //ms

  // const searchKeyPress = (event) => {
  //   const { target, key } = event;
  //   clearTimeout(typingTimer);
  //   if (key === "Enter") {
  //     setSearch(target.value);
  //     return;
  //   }
  //   else {
  //     const timer = setTimeout(() => setSearch(target.value), doneTypingInterval);
  //     setTypingTimer(timer);
  //   }
  // }

  const filterItems = () => {
    const f = filter(search);
    const subset = items.filter(f);
    setFilteredItems(subset);
  }

  useEffect(filterItems, [items, search, filter]);

  return (
    <Container>
      <TextField fullWidth variant="outlined" label="search" onKeyUp={searchKeyPress} />
      <div>&nbsp;</div>
      {render(filteredItems)}
    </Container>
  );
}

export function SearchBoxFilterDemo() {
  const items = ["Big Dog", "Big Cat", "Small Dog", "Small Cat"];

  const filter = (search) => {
    return (item) => {
      return item.toLowerCase().includes(search);
    }
  }

  function MyList({ items }) {
    return (
      <List>
        {items && items.map((item) => {
          return (
            <Paper key={item}>
              <ListItem button>
                {item}
              </ListItem>
            </Paper>
          );
        })}
      </List>
    );
  }

  const renderFilteredItems = (items) => {
    return (
      <MyList items={items} />
    );
  }

  return (
    <SearchBoxFilter items={items} filter={filter} render={renderFilteredItems} />
  );
}