import { CheckCircleOutline, ErrorOutline, RotateRightOutlined, ScheduleOutlined } from "@material-ui/icons";
import React from "react";
import { theme } from "../../Theme";

export function DeploymentStatusIcon({ deployment }) {

const deploymentStatusIcons = {
  "success": <CheckCircleOutline />,
  "successful": <CheckCircleOutline />,
  "failed": <ErrorOutline />,
  "running": <RotateRightOutlined />,
  "scheduled": <ScheduleOutlined />,
  "created": <ScheduleOutlined />,
  "pending": <ScheduleOutlined />,
}

const deploymentStatusColors = {
  "success": theme.palette.status.ok,
  "successful": theme.palette.status.ok,
  "failed": theme.palette.status.fail,
  "running": theme.palette.status.progress,
  "scheduled": theme.palette.status.neutral,
  "pending": theme.palette.status.neutral,
  "created": theme.palette.status.neutral,
}

  const state = deployment.status.toLowerCase()
  const iconStyle = { fill: deploymentStatusColors[state] };
  const icon = React.cloneElement(deploymentStatusIcons[state], { style: iconStyle });

  return icon;
}
