import React from "react";
import { Container, Divider, Drawer, makeStyles, useTheme } from "@material-ui/core";

const useStyles = makeStyles((theme) => ({
  push_bottom: {
    position: "fixed",
    bottom: 0,
    paddingBottom: theme.spacing(2),
  }
}));

export function MenuDrawer({ open, toggleDrawer, header, footer, children }) {
  const theme = useTheme();
  const classes = useStyles();
  return (
    <>
      <Drawer
        open={open}
        onClose={toggleDrawer}
        ModalProps={{
          keepMounted: true, // Better open performance on mobile.
        }}
      >
        <Container>
          <div style={{ ...theme.mixins.toolbar }} />
          {/* <div style={{ ...theme.mixins.toolbar }} /> */}
          <div style={{ paddingTop: theme.spacing(2), paddingBottom: theme.spacing(2) }} >
            {header}
          </div>
          <Divider />
          {children}
          <div className={classes.push_bottom}>
            <Divider />
            {footer}
          </div>
        </Container>
      </Drawer>
    </>
  );
}