import React from 'react';
import { Container} from '@material-ui/core';
import { DeploymentDetails } from "../../components/deployments/DeploymentDetails";
import { useGlobalAppBar } from "../../components/navigation/GlobalAppBar/GlobalAppBar";
import { useDeployment } from '../../api/SwaggerApi';

export function DeploymentDetailsView({ match }) {
  const id = parseInt(match.params.id);
  const [deployment, getDeployment] = useDeployment(id);

  useGlobalAppBar(
    "Deployment Details"
  );

  // let content = <h3>Loading Deployment details...</h3>;
  // if (deployment) {
  //   content = (
  //     <DeploymentDetails deployment={deployment} onDeploymentStart={onDeploymentStart} startButtonDisabled={deploymentStartTime}/>
  //   );
  // }
  
  console.log(deployment);

  return (
      <Container>
        {deployment && <DeploymentDetails deployment={deployment} getDeployment={getDeployment} onDeploymentStart={()=>{}} startButtonDisabled={true} />}
      </Container>
  );
}
