import React from 'react';
import {
    Paper,
    Grid,
    Hidden,
    Container
} from '@material-ui/core';
import { useHostList } from '../../api/SwaggerApi';
import HostList from '../../components/host/HostList';
import HostTable from '../../components/host/HostTable';
import { useGlobalAppBar } from '../../components/navigation/GlobalAppBar/GlobalAppBar';

export function HostListView() {

    // const [selectedTab, setSelectedTab] = useState(0);
    const [hosts] = useHostList();
    useGlobalAppBar(
        "Hosts"
    );

    console.log(hosts);

    const content = (
        <>
            <Hidden smUp>
                <HostList demoHosts={hosts} />
            </Hidden>
            <Hidden xsDown>
                <HostTable demoHosts={hosts} />
            </Hidden>
        </>
    );


    return (
        <Container>
            <Paper>
                <Grid container spacing={1} justify="flex-end">
                    <Grid item xs={12} md={12}>
                        {content}
                    </Grid>
                </Grid>
            </Paper>
        </Container>
    );
}